/* --COPYRIGHT--,BSD
 * Copyright (c) 2017, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/
//******************************************************************************
/*
 * main.h
 *
 *  Created on: Nov 2, 2019
 *
 */

#ifndef MAIN_H_
#define MAIN_H_

extern void InitSystem(void);
extern void MCC_Decode(void);
extern void receivedDataCommand(unsigned char);


uint16_t i;
volatile unsigned char RefCount = 0;
unsigned char RXData = 0, TXData = 0;
//uint8_t RXData = 0, TXData = 0;
uint8_t check = 0;
int ErrorCount = 0;
// Pointer to TX data
char TXData_I2C = 0;
char TXByteCtr_I2C;
int RXCOUNT_I2C;
char RXData_I2C;
int  MCC_Packet_Size, DLEN,EndOfWrite;
int resent_count = 0;
int mccDecode = 0;


unsigned char igInCmdBuffer[CMD_BUFFER_SIZE];
int MEMADDR_PROG;
int cmd_received;
unsigned char DATARD_ARRAY[MAX_PACKET_SIZE_RD] ;
unsigned char DATAWR_ARRAY[MAX_PACKET_SIZE_WR] ;
unsigned char NVMData[64];
//unsigned char NVMRDData[64];
int NVMAddress;
int NVMWrite;
uint32_t clockValue = 0;

extern int MCC_RW;
extern int CRC_EN;

bool I2C_write32(unsigned long addr, unsigned long writedata, uint32_t timeout);
bool I2C_read32(unsigned long addr, unsigned long * result, uint32_t timeout);

#endif /* MAIN_H_ */
